/***************************************************************************
                          kdnsinfo.cpp  -  description
                             -------------------
    begin                : Sat Jan 18 2003
    copyright            : (C) 2003 by Juan Luis Baptiste
    email                : jbaptiste@merlinux.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kdnsinfo.h"

KDNSInfo::KDNSInfo(){
}
KDNSInfo::~KDNSInfo(){
}
TQStringList KDNSInfo::getNameServers(){
  return nameServers;
}
TQString KDNSInfo::getDomainName(){
  return domainName;
}
TQString KDNSInfo::getMachineName(){
  return machineName;
}

TQStringList KDNSInfo::getSearchDomains(){
  return searchDomains;
}
void KDNSInfo::setNameServers(const TQStringList &nameServers){
  KDNSInfo::nameServers = nameServers;
}
void KDNSInfo::setDomainName(const TQString &domain){
  KDNSInfo::domainName = domain;
}
void KDNSInfo::setMachineName(const TQString &machine){
  KDNSInfo::machineName = machine;
}

void KDNSInfo::setSearchDomains(const TQStringList &searchDomains){
  KDNSInfo::searchDomains = searchDomains;
}
TQPtrList<KKnownHostInfo> KDNSInfo::getKnownHostsList(){
  return knownHosts;
}
void KDNSInfo::addKnownHost(KKnownHostInfo *host){
  knownHosts.append(host);
}
bool KDNSInfo::removeKnownHost(int index){
  return knownHosts.remove(index);
}
void KDNSInfo::setKnownHostsList(TQPtrList<KKnownHostInfo> hostsList){
  KDNSInfo::knownHosts = hostsList;
}
